#!/usr/bin/env python

from resource_management import *

# server configurations
config = Script.get_config()

# params from install
download_url = config['configurations']['install']['download_url']
local_download_dir = config['configurations']['install']['local_download_dir']
share_download_dir = config['configurations']['install']['share_download_dir']
install_dirs = config['configurations']['install']['install_dirs']
cache_dirs = config['configurations']['install']['cache_dirs']

java_home = (
    config['ambariLevelParams']['java_home']
    if 'ambariLevelParams' in config
    else config['hostLevelParams']['java_home']
)
ambari_server_hostname = (
    config['ambariLevelParams']['ambari_server_host']
    if 'ambariLevelParams' in config
    else config['clusterHostInfo']['ambari_server_host'][0]
)
